#line 1 "D:/RADNO/CLICKER_EXAMPLES/clicker  for Kinetis Examples/mikroC PRO for ARM/clicker for Kinetis/Clicker for Kinetis.c"
#line 26 "D:/RADNO/CLICKER_EXAMPLES/clicker  for Kinetis Examples/mikroC PRO for ARM/clicker for Kinetis/Clicker for Kinetis.c"
sbit LD1 at PTA_PDOR.B5;
sbit LD2 at PTA_PDOR.B12;


char oldstate1 = 0, oldstate2 = 0;
char Example_State = 0;
char count;




void InitTimer2(){
 SIM_SCGC6 |= (1 << PIT);
 PIT_MCR = 0x00;
 PIT_LDVAL2 = 0x03938700;

 NVIC_IntEnable(IVT_INT_PIT2);
 PIT_TCTRL2 = 1<<1;
 PIT_TCTRL2 |= (1 << TEN);
}


void Timer2_interrupt() iv IVT_INT_PIT2 {
char temp;
 PIT_TFLG2.TIF = 1;

 switch (Example_State & 0x0F){
 case 0 : LD1 = 0;
 LD2 = 0;
 break;
 case 1 : LD1 ^= 1;
 LD2 = 0;
 break;
 case 2 : LD1 = 0;
 LD2 ^= 1;
 break;
 case 3 : LD1 ^= 1;
 LD2 = !LD1;
 break;
 case 4 : LD1 ^= 1;
 LD2 = LD1;
 break;
 default : Example_State &= 0xF0;
 break;
 }

 switch (Example_State & 0xF0){
 case 0x00 : PIT_LDVAL2 = 0x03938700;
 break;
 case 0x10 : PIT_LDVAL2 = 0x02DC6C00;
 break;
 case 0x20 : PIT_LDVAL2 = 0x02255100;
 break;
 case 0x30 : PIT_LDVAL2 = 0x016E3600;
 break;
 case 0x40 : PIT_LDVAL2 = 0x00B71B00;
 break;
 default : PIT_LDVAL2 = 0x03938700;
 Example_State &= 0x0F;
 break;
 }
}


void main() {

 GPIO_Digital_Input(&PTA_PDIR, _GPIO_PINMASK_4);


 GPIO_Digital_Input(&PTA_PDIR, _GPIO_PINMASK_13);


 GPIO_Digital_Output(&PTA_PDOR, _GPIO_PINMASK_5 | _GPIO_PINMASK_12);

 LD1 = 0;
 LD2 = 0;

 Example_State = 0;
 EnableInterrupts();
 InitTimer2();

 while(1){

 if (Button(&PTA_PDIR, 4, 1, 1)) {
 oldstate1 = 1;
 }
 if (oldstate1 && Button(&PTA_PDIR, 4, 1, 0)) {
 oldstate1 = 0;
 Example_State += 0x01;
 if ((Example_State & 0x0F) > 4)
 Example_State &= 0xF0;
 LD1 = 0;
 }

 if (Button(&PTA_PDIR, 13, 1, 1)) {
 oldstate2 = 1;
 }
 if (oldstate2 && Button(&PTA_PDIR, 13, 1, 0)) {
 oldstate2 = 0;
 Example_State += 0x10;
 if ((Example_State & 0xF0) > 0x40)
 Example_State &= 0x0F;
 LD1 = 1;
 }
 }
}
